Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractMediaOutput

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractMediaOutput

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIMediaOutput

    public abstract class AbstractMediaOutput

extends javax.faces.component.UIOutput

Author:
  shura

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractMediaOutput()`

Method Summary
`abstract String` | `getAccesskey()`
`abstract String` | `getAlign()`
`abstract String` | `getArchive()`
`abstract String` | `getBorder()`
`abstract String` | `getCharset()`
`abstract String` | `getClassid()`
`abstract String` | `getCodebase()`
`abstract String` | `getCodetype()`
`abstract String` | `getCoords()`
`abstract javax.el.MethodExpression` | `getCreateContent()`
`abstract String` | `getDeclare()`
`abstract String` | `getDir()`
`abstract String` | `getElement()` Get Element name for rendering ( imj , a , object, applet ).
`abstract Date` | `getExpires()`
`abstract String` | `getFileName()`
`abstract String` | `getHreflang()`
`abstract String` | `getHspace()`
`abstract String` | `getLang()`
`abstract Date` | `getLastModified()`
`abstract String` | `getMimeType()`
`abstract String` | `getOnblur()`
`abstract String` | `getOnclick()`
`abstract String` | `getOndblclick()`
`abstract String` | `getOnfocus()`
`abstract String` | `getOnkeydown()`
`abstract String` | `getOnkeypress()`
`abstract String` | `getOnkeyup()`
`abstract String` | `getOnmousedown()`
`abstract String` | `getOnmousemove()`
`abstract String` | `getOnmouseout()`
`abstract String` | `getOnmouseover()`
`abstract String` | `getOnmouseup()`
`abstract String` | `getRel()`
`javax.faces.application.Resource` | `getResource()`
`abstract String` | `getRev()`
`abstract String` | `getShape()`
`abstract String` | `getStandby()`
`abstract String` | `getStyle()`
`abstract String` | `getStyleClass()`
`abstract String` | `getTabindex()`
`abstract String` | `getTarget()`
`abstract String` | `getTitle()`
`abstract String` | `getType()`
`abstract String` | `getUriAttribute()` Get URI attribute for resource ( src for images, href for links etc ).
`abstract String` | `getUsemap()`
`abstract Object` | `getValue()`
`abstract String` | `getVspace()`
`abstract boolean` | `isCacheable()`
`abstract boolean` | `isIsmap()`
`abstract void` | `setCreateContent(javax.el.MethodExpression createContent)`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getFamily, getLocalValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractMediaOutput

    public AbstractMediaOutput()

Method Detail

### getUriAttribute

    public abstract String getUriAttribute()

  Get URI attribute for resource ( src for images, href for links etc ).

  Returns:

### getElement

    public abstract String getElement()

  Get Element name for rendering ( imj , a , object, applet ).

  Returns:

### getResource

    public javax.faces.application.Resource getResource()

### getAccesskey

    public abstract String getAccesskey()

### getAlign

    public abstract String getAlign()

### getArchive

    public abstract String getArchive()

### getBorder

    public abstract String getBorder()

### isCacheable

    public abstract boolean isCacheable()

### getCharset

    public abstract String getCharset()

### getClassid

    public abstract String getClassid()

### getCodebase

    public abstract String getCodebase()

### getCodetype

    public abstract String getCodetype()

### getCoords

    public abstract String getCoords()

### getDeclare

    public abstract String getDeclare()

### getDir

    public abstract String getDir()

### getExpires

    public abstract Date getExpires()

### getHreflang

    public abstract String getHreflang()

### getHspace

    public abstract String getHspace()

### isIsmap

    public abstract boolean isIsmap()

### getLang

    public abstract String getLang()

### getLastModified

    public abstract Date getLastModified()

### getMimeType

    public abstract String getMimeType()

### getCreateContent

    public abstract javax.el.MethodExpression getCreateContent()

### setCreateContent

    public abstract void setCreateContent(javax.el.MethodExpression createContent)

### getRel

    public abstract String getRel()

### getRev

    public abstract String getRev()

### getShape

    public abstract String getShape()

### getStandby

    public abstract String getStandby()

### getStyle

    public abstract String getStyle()

### getStyleClass

    public abstract String getStyleClass()

### getTabindex

    public abstract String getTabindex()

### getTarget

    public abstract String getTarget()

### getTitle

    public abstract String getTitle()

### getType

    public abstract String getType()

### getUsemap

    public abstract String getUsemap()

### getVspace

    public abstract String getVspace()

### getFileName

    public abstract String getFileName()

### getValue

    public abstract Object getValue()

  Specified by:
    `getValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `getValue` in class `javax.faces.component.UIOutput`

### getOnblur

    public abstract String getOnblur()

### getOnclick

    public abstract String getOnclick()

### getOndblclick

    public abstract String getOndblclick()

### getOnfocus

    public abstract String getOnfocus()

### getOnkeydown

    public abstract String getOnkeydown()

### getOnkeypress

    public abstract String getOnkeypress()

### getOnkeyup

    public abstract String getOnkeyup()

### getOnmousedown

    public abstract String getOnmousedown()

### getOnmousemove

    public abstract String getOnmousemove()

### getOnmouseout

    public abstract String getOnmouseout()

### getOnmouseover

    public abstract String getOnmouseover()

### getOnmouseup

    public abstract String getOnmouseup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.